
$ErrorActionPreference = 'Stop';

$packageName = 'mingw'
$url = 'https://sourceforge.net/projects/mingw-w64/files/Toolchains%20targetting%20Win32/Personal%20Builds/mingw-builds/8.1.0/threads-posix/dwarf/i686-8.1.0-release-posix-dwarf-rt_v6-rev0.7z/download'
$checksum = 'adb84b70094c0225dd30187ff995e311d19424b1eb8f60934c60e4903297f946'
$url64 = 'https://sourceforge.net/projects/mingw-w64/files/Toolchains%20targetting%20Win64/Personal%20Builds/mingw-builds/8.1.0/threads-posix/seh/x86_64-8.1.0-release-posix-seh-rt_v6-rev0.7z/download'
$checksum64 = '853970527b5de4a55ec8ca4d3fd732c00ae1c69974cc930c82604396d43e79f8'

$root = Join-Path "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)" "install"

New-Item -ItemType Directory -Force -Path $root | Out-Null

$packageArgs = @{
	packageName   = $env:ChocolateyPackageName
	unzipLocation = $root

	url           = $url
	url64bit      = $url64
	checksum      = $checksum
	checksumType  = 'sha256'
	checksum64    = $checksum64
	checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

$("mingw32", "mingw64") | ForEach {
	$bin = (Join-Path "$root" (Join-Path $_ "bin"))
	If (Test-Path $bin) {
		Install-ChocolateyPath $bin
	}
}

